export default function(){

    const formatLocation = ({block, level, unit}: {block: number, level: string, unit: string | TBuildingUnit}) => {
    const parts = [];

    if (block?.name) parts.push(`${block.name}`);
    if (level?.name) parts.push(`${level.name}`);
    if (unit?.name) parts.push(unit?.name);

    return parts.join(" / ");
    };


    return {
        formatLocation

    }
}